Bug 70811 - RFE: Allow windows to go above the top of the screen
RFE: Allow windows to go above the top of the screen
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: metacity (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-05 14:03 EDT by Sean Dilda
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-05 14:03:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Dilda 2002-08-05 14:03:33 EDT
Right now I can make windows hang off the edge or bottom of a workspace, but I
can't make them hang off the top of a workspace (unless the window happens to
reach the bottom for the workspace as well).  I find this behavior quite
annoying as at various times I like to hide the tops of certain windows above
the top of the workspace in order to make more room in the rest of the
workspace, but I can't do this.

I would really appreciate it if Metacity would allow me to move the top of any
window up above the top of a workspace.
Comment 1 Havoc Pennington 2002-08-05 14:58:17 EDT
This causes a ton of problems for people losing their windows, who don't know
about Alt+click to move a window. There are other WMs available that offer this 
as an option (e.g. Sawfish).

Comment 2 Kimmo Rundelin 2004-05-05 16:40:58 EDT
...True, but not implementing this causes (unfixable) problems when
you encounter a window that is higher than the screen.

Probably moving above the screen should be allowed only whem moving
with Alt+click, so that it is known that the user knows the trick.
(Maybe shoud be more obscure key combo to minimize accidents)
Comment 3 Matthew Miller 2006-02-18 10:44:44 EST
I know this is a very old RFE, but here's the thing that puzzles me: how could
someone who doesn't know about alt-click even move a window off the top in the
first place?

I like metacity, but this actually makes some things impossible.
Comment 4 Havoc Pennington 2006-02-18 13:20:50 EST
Recent metacity lets users move windows off the top, but apps can't move
themselves off the top, I believe. The historical problem was that lots of apps
would be broken and move themselves off the top (remember the whole issue here
to begin with is broken apps that create too-large windows, and so also being
broken and moving themselves offscreen wasn't uncommon).

Comment 5 Matthew Miller 2006-02-18 14:46:54 EST
Thanks Havoc. That's exactly what I was looking for. I appreciate your taking
the time to reply, and I'll update myself to a newer metacity version. :)

Note You need to log in before you can comment on or make changes to this bug.